Delete an inbox

DELETE
/v1/inboxes/{inbox_id}

Deletes the inbox and its threads. The received emails and emails they held stay in the environment until their retention ends, and mail to the address is still received by the environment (without a thread or inbox.message.received webhook).

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

inbox_id*string

The inbox's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The inbox was deleted.

application/json
  1. response
object*"inbox"
Value in"inbox"
id*string
deleted*true
Value intrue
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.inboxes.delete("inbox_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "inbox",  "id": "inbox_01k7c8m4q2f3e9v6t5r1n0p8yz",  "deleted": true}